Subject: bug#64280: Editorconfig and dir-locals in guix source tree contradict each other

From: Hilton Chain <[email-masked]>
Date: Tue, 01 Aug 2023 13:51:29 +0800

Hi Jelle,

On Sun, 25 Jun 2023 19:30:42 +0800,
Jelle Licht wrote:
> A contradiction between .dir-locals.el and the .editorconfig file in
> guix exists:
>
>  max_line_length of 85 in .editorconfig for most files in guix
>     vs
>  fill-column of 78 in dir-locals.el for all files in guix
>
> I don't know which of these values is supposed to be leading, or whether
> they configure the exact same thing in all situations.

I'm curious about this as well.  From the submission thread [1], it
seems to have been discussed on IRC, and I think it happened here [2].

Thanks

[1]: <https://yhetil.org/guix/[email-masked]/T/#u>
[2]: <https://logs.guix.gnu.org/guix/2022-10-11.log#175548>